using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using FakturyWeb.Data;
using RazorPagesMovie.Models;

namespace FakturyWeb.Pages.Uzivatel
{
    public class EditModel : PageModel
    {
        private readonly FakturyWeb.Data.FakturyWebContext _context;

        public EditModel(FakturyWeb.Data.FakturyWebContext context)
        {
            _context = context;
        }

        [BindProperty]
        public UZIVATEL UZIVATEL { get; set; }

        public async Task<IActionResult> OnGetAsync()
        {

            UZIVATEL = await _context.UZIVATEL.FirstOrDefaultAsync();

            if (UZIVATEL == null)
            {
                return NotFound();
            }
            return Page();
        }

        // To protect from overposting attacks, enable the specific properties you want to bind to.
        // For more details, see https://aka.ms/RazorPagesCRUD.
        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return Page();
            }

            _context.Attach(UZIVATEL).State = EntityState.Modified;

            try
            {
                await _context.SaveChangesAsync();
            }
            catch (DbUpdateConcurrencyException)
            {
                if (!UZIVATELExists(UZIVATEL.ID))
                {
                    return NotFound();
                }
                else
                {
                    throw;
                }
            }

            return RedirectToPage("../Index");
        }

        private bool UZIVATELExists(int id)
        {
            return _context.UZIVATEL.Any(e => e.ID == id);
        }
    }
}
